Bug 1212099 - Review Request: golang-github-boltdb-bolt- A low-level key/value database for Go
Summary: Review Request: golang-github-boltdb-bolt- A low-level key/value database for Go
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1208616 1212105
TreeView+ depends on / blocked
 
Reported: 2015-04-15 14:32 UTC by Jan Chaloupka
Modified: 2015-07-08 17:14 UTC (History)
3 users (show)

Fixed In Version: golang-github-boltdb-bolt-0-0.1.git3b44955.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 23:59:15 UTC
mskalick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-04-15 14:32:50 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-boltdb-bolt/golang-github-boltdb-bolt.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-boltdb-bolt/golang-github-boltdb-bolt-0-0.1.git3b44955.fc20.src.rpm

Description: A low-level key/value database for Go

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=9488374

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-boltdb-bolt-0-0.1.git3b44955.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-boltdb-bolt-devel-0-0.1.git3b44955.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Graeme Gillies 2015-04-23 00:48:24 UTC
Hi,

Can you also please make sure the package has

Provides:       golang(%{import_path}/cmd/bolt) = %{version}-%{release}

As I tested it as a dep for another package and that provides was needed for it to be pulled in as a dep correctly.

Thanks,

Graeme

Comment 2 Jan Chaloupka 2015-04-24 09:08:53 UTC
Hi Graeme,

which package is dependent on this one? When I look into cmd/bolt directory for package definition, I don't see any package named bolt:

$ cd cmd/bolt
$ grep -rn package
stats_test.go:1:package main_test
stats.go:1:package main
pages.go:1:package main
main_test.go:1:package main_test
main.go:1:package main
keys_test.go:1:package main_test
keys.go:1:package main
info_test.go:1:package main_test
info.go:1:package main
get_test.go:1:package main_test
get.go:1:package main
check.go:1:package main
buckets_test.go:1:package main_test
buckets.go:1:package main
bench.go:1:package main

Every package belonging to bolt directory has to have "package bolt" as the first command. I can't see any in bolt directory.

Comment 3 Graeme Gillies 2015-04-26 23:32:27 UTC
Woops sorry I made a mistake.

I was packaging ledisdb (https://github.com/siddontang/ledisdb) using the gofed automatic packaging tool and it incorrectly picked up/added a dep for bolt/cmd/bolt from the Godeps directory in the ledisdb repo. This directory is bundled deps and obviously should be removed (which I have now modified my spec file to do and removed the incorrect deps).

Apologies for the confusion, I'm still learning golang and the whole packaging ecosystem around it :)

Regards,

Graeme

Comment 4 Jan Chaloupka 2015-04-27 07:07:22 UTC
Unfortunately, gofed is not an ultimate weapon for packaging :(. I am planning to make skipping Godeps directory implicit. However, some projects use vendored directory for bundled dependencies. I am not aware of a project using vendored or Godeps directory for other than bundled projects. However, this does not have always hold. Gofed version 0.5 will be more intelligent :).

At the moment generated spec file still need to be manually inspected for incorrect provides (like those starting with Godeps or vendored directories or ending with test, examples, etc.).

If you have any requests for features you would like to have in gofed let me know :)

Cheers
Jan

Comment 5 Marek Skalický 2015-06-17 11:26:43 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 46 files have unknown license. Detailed
     output of licensecheck in /home/mskalick/reviews/1212099-golang-
     github-boltdb-bolt/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-boltdb-bolt-devel-0-0.1.git3b44955.fc22.noarch.rpm
          golang-github-boltdb-bolt-0-0.1.git3b44955.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-boltdb-bolt-devel (rpmlib, GLIBC filtered):
    golang(github.com/codegangsta/cli)



Provides
--------
golang-github-boltdb-bolt-devel:
    golang(github.com/boltdb/bolt)
    golang-github-boltdb-bolt-devel



Source checksums
----------------
https://github.com/boltdb/bolt/archive/3b449559cf34cbcc74460b59041a4399d3226e5a/bolt-3b44955.tar.gz :
  CHECKSUM(SHA256) this package     : 27f541251a91ccf3ede4bb27dcad7e93a62376d37e73e2bc3a91fb34a600358f
  CHECKSUM(SHA256) upstream package : 27f541251a91ccf3ede4bb27dcad7e93a62376d37e73e2bc3a91fb34a600358f


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-22-x86_64 -b 1212099
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Marek Skalický 2015-06-17 11:48:39 UTC
Specfile conforms to current Go packaging draft [1].

[1] https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 7 Marek Skalický 2015-06-17 12:09:43 UTC
Should items:
- Latest version is not packaged

Comment 8 Jan Chaloupka 2015-06-17 12:20:13 UTC
New Package SCM Request
=======================
Package Name: golang-github-boltdb-bolt
Short Description: A low-level key/value database for Go
Upstream URL: https://github.com/boltdb/bolt
Owners: jchaloup
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 9 Gwyn Ciesla 2015-06-18 15:04:30 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-06-20 08:14:55 UTC
golang-github-boltdb-bolt-0-0.1.git3b44955.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-boltdb-bolt-0-0.1.git3b44955.fc22

Comment 11 Fedora Update System 2015-06-20 08:16:50 UTC
golang-github-boltdb-bolt-0-0.1.git3b44955.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-boltdb-bolt-0-0.1.git3b44955.fc21

Comment 12 Fedora Update System 2015-06-20 08:18:21 UTC
golang-github-boltdb-bolt-0-0.1.git3b44955.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-boltdb-bolt-0-0.1.git3b44955.el6

Comment 13 Fedora Update System 2015-06-20 21:09:14 UTC
golang-github-boltdb-bolt-0-0.1.git3b44955.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2015-06-29 23:59:15 UTC
golang-github-boltdb-bolt-0-0.1.git3b44955.fc22 has been pushed to the Fedora 22 stable repository.

Comment 15 Fedora Update System 2015-06-30 00:20:31 UTC
golang-github-boltdb-bolt-0-0.1.git3b44955.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2015-07-08 17:14:46 UTC
golang-github-boltdb-bolt-0-0.1.git3b44955.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.